<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("typ" . "e" => base64_decode("dHlwZQ" . "=="), "_f656816961e85" . "73806141c558b1" . "84fe2" => base64_decode("c3ViamVjd" . "A=="), "i" . "d" => base64_decode("aWQ" . "="), "_a51236f5e7f12cf84a7" . "76152098d24a9" => base64_decode("dGV4dA=" . "="));
use Claromentis\Core\Event\Event;







class SendEvent extends Event
{
    protected $message_info;
    protected $recipient_info;
    protected $sender_id;
    public function __construct($_bcfb24cb34fc79a85279a34d2eebb7c6, $_a7d1b57fc9cf298f71cc4c520efc2d09, $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipient_info = $_a7d1b57fc9cf298f71cc4c520efc2d09;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["t" . "y" . "p" . "e"]];
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->recipient_info[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetRecipientInfo()
    {
        return $this->recipient_info;
    }
    
    
    
    
    public function GetSenderId()
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a51236f5e7" . "f12cf84a776" . "152098d24a9"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f656816961e8" . "573806141c558" . "b184fe2"]];
    }
}